# Keep in sync with vendor/hardened-malloc/config/default.mk
# Do NOT forget this is NOT a makefile.
CONFIG_SEAL_METADATA=false
ZERO_ON_FREE=true
WRITE_AFTER_FREE_CHECK=true
SLOT_RANDOMIZE=true
SLAB_CANARY=true
SLAB_QUARANTINE_RANDOM_LENGTH=1
SLAB_QUARANTINE_QUEUE_LENGTH=1
CONFIG_EXTENDED_SIZE_CLASSES=true
CONFIG_LARGE_SIZE_CLASSES=true
GUARD_SLABS_INTERVAL=1
GUARD_SIZE_DIVISOR=2
REGION_QUARANTINE_RANDOM_LENGTH=256
REGION_QUARANTINE_QUEUE_LENGTH=1024
REGION_QUARANTINE_SKIP_THRESHOLD=33554432
FREE_SLABS_QUARANTINE_RANDOM_LENGTH=32
CONFIG_CLASS_REGION_SIZE=34359738368
N_ARENA=4
CONFIG_STATS=false
CONFIG_SELF_INIT=true
